routes/web.php
<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/',[\App\Http\Controllers\CategoryController::class, 'index'])->name('house');

Route::resource('category', \App\Http\Controllers\CategoryController::class)->only('index', 'show');
Route::resource('paper', \App\Http\Controllers\PaperController::class);
Route::post('paper.{paper}', [\App\Http\Controllers\PaperController::class, 'rating'])->name('rating-paper');
Route::resource('comment', \App\Http\Controllers\CommentController::class);
Route::resource('account', \App\Http\Controllers\AccountController::class)->only('show');
Route::resource('papers.comments', \App\Http\Controllers\PapersCommentsController::class)->only('store');


Auth::routes();
Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');

app/Models/Comment.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Comment extends Model
{
    use HasFactory;

    protected $fillable = ['comment', 'user_id', 'paper_id', 'approve'];

    public function user()
    {
        return $this->belongsTo(User::class);
    }

    public function paper()
    {
        return $this->belongsTo(Paper::class);
    }
}

app/Http/Controllers/CommentController.php
<?php

namespace App\Http\Controllers;

use App\Models\Comment;
use Illuminate\Http\Request;

class CommentController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $this->authorize('create-date', auth()->user());
        $comments = Comment::all();
        return view('client.comments.index', compact('comments'));
    }

    /**
     * Show the form for creating a new resource.
     */

    public function edit(Comment $comment)
    {
        return view('client.comments.edit', compact('comment'));
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, Comment $comment)
    {
        $this->authorize('create-date', auth()->user());
        $validated = $request->validate([
            'comment'=> ['min:3', 'required', 'max:2048'],
            'user_id'=> [ 'required', 'max:2048'],
            'paper_id'=> [ 'required', 'max:2048'],
            'approve'=> [ 'nullable'],
        ]);
        $comment->update($validated);
        return redirect()->route('comment.index')->with('success', 'Успешно изменен');
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(Comment $comment)
    {
        $this->authorize('create-date', auth()->user());
        $comment->delete();
        return redirect()->route('comment.index')->with('success', 'Успешно delete');

    }
}

resources/views/client/comments/edit.blade.php
@extends('layouts.app')
@section('content')
    <div class="row">
        <div class="col">
            <form action="{{route('comment.update', ['comment'=>$comment])}}" method="post">
                @csrf
                @method('PUT')
                <div class="form-group">
                    <div class="mb-3">
                        <label for="exampleInputPassword1" class="form-label">Comment</label>
                        <input name="comment" value="{{$comment->comment}}" type="text" class="form-control" id="exampleInputPassword1">
                    </div>
                    <div class="mb-3">
                        <label for="exampleInputPassword1" class="form-label">author</label>
                        <input name="user_id" value="{{$comment->user_id}}" type="text" class="form-control" id="exampleInputPassword1">
                    </div>
                    <div class="mb-3">
                        <label for="exampleInputPassword1" class="form-label">paper_id</label>
                        <input name="paper_id" value="{{$comment->paper_id}}" type="text" class="form-control" id="exampleInputPassword1">
                    </div>

                    <div class="mb-3">
                        <label for="exampleInputPassword1" class="form-label">paper_id</label>
                        <input name="approve" value="{{$comment->approve}}" type="text" class="form-control" id="exampleInputPassword1">
                    </div>

                    <button type="submit">edit</button>
            </form>
        </div>
    </div>
@endsection

resources/views/client/comments/index.blade.php
@extends('layouts.app')
@section('content')
    <div class="row">
        <div class="col">
            @foreach($comments as $comment )
                <div class="border m-2 p-2" >
                    <p>{{$comment->user->name}}</p>
                    <p>{{$comment->comment}}</p>
                    @if(!$comment->approve)
                        <p class="text-danger">Не потвержденный</p>
                    @endif
                    <a class="btn btn-warning" href="{{route('comment.edit', ['comment'=> $comment])}}">edit</a>
                    <form action="{{route('comment.destroy', ['comment'=> $comment])}}" method="post">
                        @csrf
                        @method('DELETE')
                        <button type="submit">delete</button>
                    </form>
                </div>
            @endforeach
        </div>
    </div>
@endsection